Get Firm Product Group Limits
curl --request GET \
--url https://api.exchange.fairx.net/rest/v2/firm-product-group-limit/{firm_uuid}import requests
url = "https://api.exchange.fairx.net/rest/v2/firm-product-group-limit/{firm_uuid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.exchange.fairx.net/rest/v2/firm-product-group-limit/{firm_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"firm_uuid": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
"product_group": "CRYPTO",
"trading_disabled": false,
"firm_product_limits": [
{
"firm_uuid": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
"long_daily_position_limit": 10000,
"long_real_position_limit": 15000,
"product_code": "BIPZ30",
"product_name": "Bitcoin Perpetual Index Futures Dec 2030",
"short_daily_position_limit": 15000,
"short_real_position_limit": 20000,
"trading_disabled": false
}
]
}
]Firm Product Group Limits
Get Firm Product Group Limits
Retrieves product group limits for a specific firm, including individual product limits within each group
GET
/
rest
/
v2
/
firm-product-group-limit
/
{firm_uuid}
Get Firm Product Group Limits
Path Parameters
The UUID of the firm to get product group limits for
Example:
"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"
Response
Successfully retrieved firm product group limits
Example:
"f81d4fae-7dec-11d0-a765-00a0c91e6bf6"
Available options:
CURRENCY, EQUITY, ENERGY, METALS, INTEREST_RATE, AGRICULTURE, CRYPTO Example:
"CRYPTO"
Example:
false
Show child attributes
Show child attributes
Example:
[
{
"firm_uuid": "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
"long_daily_position_limit": 10000,
"long_real_position_limit": 15000,
"product_code": "BIPZ30",
"product_name": "Bitcoin Perpetual Index Futures Dec 2030",
"short_daily_position_limit": 15000,
"short_real_position_limit": 20000,
"trading_disabled": false
}
]
Was this page helpful?
⌘I